目录

Overview

When a user initiates a personal data deletion request from an app, the app server calls this API to help the user delete data in HUAWEI Analytics Kit.

Scenario

As required by the GDPR, you may need to allow end users to delete their personal data by providing a button on your app. When a user taps this button, your app server can call this API to delete all personal data that has been collected and reported to the HUAWEI Analytics Kit server.

Restrictions

Interface Prototype

Protocol

HTTP POST

Direction

HUAWEI Analytics Kit server -> Developer callback API server

URL

POST https://<URI>/analytics/gdpr/user_deletion_requests/v2

Data Format

Request: Content-Type: application/json

Response: Content-Type: application/json

Request

Table1 Request body
ParameterMandatory/OptionalTypeDescription

aaid

Mandatory

string

User device ID, which can be obtained through the getAAID interface on the device side.

Response

Table2 Response body
ParameterTypeDescription

result_code

String

Result code. For details, please refer to Result Codes.

result_msg

String

Response description.

Response Example

  1. HTTP/1.1 200 OK
  2. Content-Type: application/json; charset=UTF-8
  3. Connection: Close
  4. Content-Length: xxxx
  5. {
  6. "result_code":"0",
  7. "result_msg":"success"
  8. }

Result Codes

Status CodeResult CodeResponse CodeDescriptionSuggestion

200

0

Success

Request succeeded.

-

400

10020

invalidParameter

Invalid parameter.

Check and correct the parameter value.

400

10032

dataExportError

The data cannot be deleted because the data is being exported.

Display a message prompting the user that the data is being deleted and asking the user to delete the data after the data export is completed.

400

10033

dataDeleted

The data has been deleted.

Provide a message indicating that the user data has been deleted.

400

10008

tooFrequentRequest

Data deletion requests are too frequent.

Display a message indicating that data export requests are excessively frequent and asking the user to try again later.

Call Example

  1. POST /analytics/gdpr/user_deletion_requests/v2 HTTP/1.1
  2. Content-Type: application/json; charset=UTF-8
  3. Content-Length: xxxx
  4. Accept: application/json
  5. Authorization: Bearer 78C2395236BBF4262CAE4F1172E327C2929AD63EAA0395961A49DEBC3B6F8339
  6. x-product-id: sample-productid
  7. x-app-id: sample-appid
  8. {
  9. "aaid":”sample-aaid”
  10. }